﻿using Microsoft.Extensions.DependencyInjection;
using UserManager.Application.Features.Users.Interfaces;
using UserManager.Application.Features.Users.Requests;
using UserManager.Application.Features.Users.Services;
using FluentValidation;

namespace UserManager.Application
{
    public static class DependancyInjection
    {
        public static void AddApplication(this IServiceCollection services)
        {
            services.AddScoped<IUserService, UserService>();

            services.AddValidatorsFromAssemblyContaining<CreateUserRequestDtoValidator>();
        }
    }
}
